package com.heyu.api.data.service.vv;
/**
* <p>
* 购物车 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvShoppingCartEntity;
public interface VvShoppingCartService extends IService<VvShoppingCartEntity> {



	VvShoppingCartEntity selectVvShoppingCartById(Long id);


	Long insertVvShoppingCart(VvShoppingCartEntity vvShoppingCart);


	Long insertOrUpdateVvShoppingCart(VvShoppingCartEntity vvShoppingCart);


	int updateVvShoppingCartById(VvShoppingCartEntity vvShoppingCart);


	int updateCoverVvShoppingCartById(VvShoppingCartEntity vvShoppingCart);


	int deleteVvShoppingCartById(Long id);


}